## jupyterhub 2.0.0+ds1

=== requirements.txt ===
alembic>=1.4
async_generator>=1.9
certipy>=0.1.2
entrypoints
jinja2>=2.11.0
jupyter_telemetry>=0.1.0
oauthlib>=3.0
packaging
pamela; sys_platform != 'win32'
prometheus_client>=0.4.0
psutil>=5.6.5; sys_platform == 'win32'
python-dateutil
requests
SQLAlchemy>=1.1
tornado>=5.1
traitlets>=4.3.2

=== docs/requirements.txt ===
-r ../requirements.txt

alabaster_jupyterhub
autodoc-traits
myst-parser
pydata-sphinx-theme
pytablewriter>=0.56
sphinx>=1.7
sphinx-copybutton
sphinx-jsonschema

=== debian/changelog ===
jupyterhub (2.0.0+ds1-2) unstable; urgency=medium

  * Bug fix: "URL of jQuery and Bootstrap wrong, fail to open (existing or
    new) Notebook, and terminal", thanks to Christian Holm Christensen
    (Closes: #1003052).

 -- Roland Mas <lolando@debian.org>  Thu, 13 Jan 2022 15:36:29 +0100

jupyterhub (2.0.0+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Handle multiple supported Python versions during build.

 -- Roland Mas <lolando@debian.org>  Sat, 04 Dec 2021 15:52:18 +0100

jupyterhub (1.4.1+ds2-1) unstable; urgency=medium

  * Exclude copies of Bootstrap CSS from source package.

 -- Roland Mas <lolando@debian.org>  Tue, 12 Oct 2021 20:08:26 +0200

jupyterhub (1.4.1+ds1-3) unstable; urgency=medium

  * Use system copy of Bootstrap CSS.

 -- Roland Mas <lolando@debian.org>  Tue, 12 Oct 2021 19:30:53 +0200

jupyterhub (1.4.1+ds1-2) unstable; urgency=medium

  * Prevent usage of npm during build even if available, to help with
    reproducibility.

 -- Roland Mas <lolando@debian.org>  Tue, 28 Sep 2021 20:46:10 +0200

jupyterhub (1.4.1+ds1-1) unstable; urgency=low

  * Initial upload (closes: #988775).
  * Source package automatically created by stdeb 0.10.0 then tweaked by hand.

 -- Roland Mas <lolando@debian.org>  Sun, 26 Sep 2021 21:53:20 +0200

## jupyterhub 3.0.0+ds1

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 alembic>=1.4
 async_generator>=1.9
 certipy>=0.1.2
-entrypoints
+importlib_metadata>=3.6; python_version < '3.10'
 jinja2>=2.11.0
 jupyter_telemetry>=0.1.0
 oauthlib>=3.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = "-W"
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  spelling   to run spell check on documentation"
	@echo "  metrics    to generate documentation for metrics by inspecting the source code"

clean:
	rm -rf $(BUILDDIR)/*

metrics: source/reference/metrics.rst

source/reference/metrics.rst: generate-metrics.py
	python3 generate-metrics.py

scopes: source/rbac/scope-table.md

source/rbac/scope-table.md: source/rbac/generate-scope-table.py
	python3 source/rbac/generate-scope-table.py

html: metrics scopes
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/JupyterHub.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/JupyterHub.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/JupyterHub"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/JupyterHub"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

spelling:
	$(SPHINXBUILD) -b spelling $(ALLSPHINXOPTS) $(BUILDDIR)/spelling
	@echo
	@echo "Spell check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/spelling/output.txt."
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== docs/requirements.txt ===
-r ../requirements.txt

alabaster_jupyterhub
autodoc-traits
myst-parser
pre-commit
pydata-sphinx-theme
pytablewriter>=0.56
ruamel.yaml
sphinx>=1.7
sphinx-copybutton
sphinx-jsonschema

=== debian/changelog ===
jupyterhub (3.0.0+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Includes fix for "CVE-2020-36191", thanks to Moritz Mühlenhoff
    (Closes: #1014774).

 -- Roland Mas <lolando@debian.org>  Wed, 16 Nov 2022 09:42:30 +0100

=== debian/control ===
Source: jupyterhub
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Roland Mas <lolando@debian.org>
Section: python
Priority: optional
Build-Depends: dh-python, python3-setuptools, python3-all,
 python3-pytest, python3-tornado, python3-traitlets, python3-alembic,
 python3-async-generator, python3-entrypoints, python3-pamela,
 python3-prometheus-client, python3-jinja2, python3-jupyter-telemetry,
 python3-oauthlib, python3-requests, python3-requests-mock,
 python3-notebook, python3-certipy, python3-bs4,
 python3-pytest-asyncio, debhelper (>= 13), help2man
Standards-Version: 4.5.1
Homepage: https://jupyter.org
Vcs-Git: https://salsa.debian.org/python-team/packages/jupyterhub.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/jupyterhub

Package: jupyterhub
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-bcrypt,
 python3-pamela, node-configurable-http-proxy, python3-notebook,
 libjs-bootstrap, libjs-jquery, libjs-prototype, libjs-requirejs,
 fonts-font-awesome
Description: Multi-user server for Jupyter notebooks
 With JupyterHub you can create a multi-user Hub which spawns,
 manages, and proxies multiple instances of the single-user Jupyter
 notebook server.
 .
 Project Jupyter created JupyterHub to support many users. The Hub can
 offer notebook servers to a class of students, a corporate data
 science workgroup, a scientific research project, or a high
 performance computing group.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.10.0 at
# Wed, 26 May 2021 19:12:50 +0200
export PYBUILD_NAME=jupyterhub
PYVERS=$(shell python3 -c 'import sysconfig;print (sysconfig.get_python_version())')
PYPATH=debian/jupyterhub/usr/lib/python$(PYVERS)/dist-packages
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install --buildsystem=pybuild
	PYTHONPATH=$(PYPATH) help2man --output=jupyterhub.1 --name="Multi-user server for Jupyter notebooks" --version-string=$$(dpkg-parsechangelog -S Version | sed s/-[^-]*$$//) debian/jupyterhub/usr/bin/jupyterhub
	PYTHONPATH=$(PYPATH) help2man --output=jupyterhub-singleuser.1 --name="Single-user server for Jupyter notebooks" --version-string=$$(dpkg-parsechangelog -S Version | sed s/-[^-]*$$//) debian/jupyterhub/usr/bin/jupyterhub-singleuser

override_dh_auto_test:

=== debian/watch ===
# please also check http://pypi.debian.net/jupyterhub/watch
version=3
opts=repacksuffix=+ds1,uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/\+(debian|dfsg|ds|deb)(\d+)?$// \
http://pypi.debian.net/jupyterhub/jupyterhub-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## jupyterhub 5.0.0+ds1

=== debian/changelog ===
jupyterhub (5.0.0+ds1-3) unstable; urgency=medium

  * Bug fix: "Fails to build source after successful build", thanks to
    Lucas Nussbaum (Closes: #1048154).

 -- Roland Mas <lolando@debian.org>  Fri, 26 Jul 2024 19:35:40 +0200

jupyterhub (5.0.0+ds1-2) unstable; urgency=medium

  * Team Upload
  * Remove stale dependency on deprecated python3-entrypoints
  * Use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Tue, 23 Jul 2024 02:31:21 +0200

jupyterhub (5.0.0+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Includes fix for "CVE-2024-28233", thanks to Moritz Mühlenhoff
    (Closes: #1070388).

 -- Roland Mas <lolando@debian.org>  Sun, 09 Jun 2024 17:00:34 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,31 @@
 Uploaders: Roland Mas <lolando@debian.org>
 Section: python
 Priority: optional
-Build-Depends: dh-python, python3-setuptools, python3-all,
- python3-pytest, python3-tornado, python3-traitlets, python3-alembic,
- python3-async-generator, python3-entrypoints, python3-pamela,
- python3-prometheus-client, python3-jinja2, python3-jupyter-telemetry,
- python3-oauthlib, python3-requests, python3-requests-mock,
- python3-notebook, python3-certipy, python3-bs4,
- python3-pytest-asyncio, debhelper (>= 13), help2man
-Standards-Version: 4.5.1
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ help2man,
+ python3-alembic,
+ python3-all,
+ python3-async-generator,
+ python3-bs4,
+ python3-certipy,
+ python3-jinja2,
+ python3-jupyter-events,
+ python3-jupyter-telemetry,
+ python3-notebook,
+ python3-oauthlib,
+ python3-pamela,
+ python3-prometheus-client,
+ python3-pydantic (>= 2),
+ python3-pytest,
+ python3-pytest-asyncio,
+ python3-requests,
+ python3-requests-mock,
+ python3-setuptools,
+ python3-tornado,
+ python3-traitlets,
+Standards-Version: 4.6.2
 Homepage: https://jupyter.org
 Vcs-Git: https://salsa.debian.org/python-team/packages/jupyterhub.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/jupyterhub

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,10 @@
 # This file was automatically generated by stdeb 0.10.0 at
 # Wed, 26 May 2021 19:12:50 +0200
 export PYBUILD_NAME=jupyterhub
-PYVERS=$(shell python3 -c 'import sysconfig;print (sysconfig.get_python_version())')
-PYPATH=debian/jupyterhub/usr/lib/python$(PYVERS)/dist-packages
+PYVERS=$(shell py3versions -d)
+PYPATH=debian/jupyterhub/usr/lib/$(PYVERS)/dist-packages
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_install:
 	dh_auto_install --buildsystem=pybuild

## jupyterhub 5.2.1%2Bds1

=== examples/azuread-with-group-management/requirements.txt ===
oauthenticator
pyjwt

## jupyterhub 5.2.1+ds1

=== requirements.txt ===
alembic>=1.4
async_generator>=1.9; python_version < '3.10'
certipy>=0.1.2
idna
importlib_metadata>=3.6; python_version < '3.10'
jinja2>=2.11.0
jupyter_events
oauthlib>=3.0
packaging
pamela>=1.1.0; sys_platform != 'win32'
prometheus_client>=0.5.0
psutil>=5.6.5; sys_platform == 'win32'
pydantic>=2
python-dateutil
requests
SQLAlchemy>=1.4.1
tornado>=5.1
traitlets>=4.3.2

=== docs/Makefile ===
# Makefile for Sphinx documentation generated by sphinx-quickstart
# ----------------------------------------------------------------------------

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?= --color -W --keep-going
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = source
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS)

.PHONY: help Makefile metrics scopes

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.
#
# Several sphinx-build commands can be used through this, for example:
#
# - make clean
# - make linkcheck
# - make spelling
#
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS)


# Manually added targets - related to code generation
# ----------------------------------------------------------------------------

# For local development:
# - builds the html
# - NOTE: If the pre-requisites for the html target is updated, also update the
#         Read The Docs section in docs/source/conf.py.
#
html: metrics scopes
	$(SPHINXBUILD) -b html "$(SOURCEDIR)" "$(BUILDDIR)/html" $(SPHINXOPTS)
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

metrics: source/reference/metrics.md
source/reference/metrics.md:
	python3 generate-metrics.py

scopes: source/rbac/scope-table.md
source/rbac/scope-table.md:
	python3 source/rbac/generate-scope-table.py


# Manually added targets - related to development
# ----------------------------------------------------------------------------

# For local development:
# - requires sphinx-autobuild, see
#   https://sphinxcontrib-spelling.readthedocs.io/en/latest/
# - builds and rebuilds html on changes to source, but does not re-generate
#   metrics/scopes files
# - starts a livereload enabled webserver and opens up a browser
devenv: html
	sphinx-autobuild -b html --open-browser "$(SOURCEDIR)" "$(BUILDDIR)/html"

=== docs/requirements.txt ===
# docs also require jupyterhub itself to be installed
# don't depend on it here, as that often results in a duplicate
# installation of jupyterhub that's already installed
autodoc-traits
jupyterhub-sphinx-theme
myst-parser>=0.19
pre-commit
pytablewriter>=0.56
ruamel.yaml
sphinx>=4
sphinx-copybutton
sphinx-jsonschema
sphinxext-opengraph
sphinxext-rediraffe

=== examples/service-fastapi/requirements.txt ===
fastapi
httpx
python-multipart
uvicorn

=== debian/changelog ===
jupyterhub (5.2.1+ds1-4) unstable; urgency=medium

  * use ucf in order to manage the config file
  * Bug fix: "config.yaml config file that comes in package is never
    read", thanks to Guillaume Knispel (Closes: #1038110).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 28 May 2025 11:40:25 +0200

jupyterhub (5.2.1+ds1-3) unstable; urgency=medium

  * Bug fix: "missing python3-alembic dependency", thanks to Picca
    Frédéric-Emmanuel (Closes: #1104404).
  * Bug fix: "move from twitter-bootstrap{3,4} to bootstrap-html (v5)",
    thanks to santiagorr@riseup.net</a>; (Closes: #1088461).
  * Bug fix: "Could not open static file
    &#39;/usr/share/jupyterhub/static/components/bootstrap/dist/js/bootstrap&gt;",
    thanks to Picca Frédéric-Emmanuel (Closes: #1104588).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 07 May 2025 18:14:37 +0200

jupyterhub (5.2.1+ds1-2) unstable; urgency=medium

  * Team upload.
  * Build-depend on python3-setuptools-scm rather than adding alembic.ini
    incorrectly to data_files (closes: #1100077).

 -- Colin Watson <cjwatson@debian.org>  Sun, 16 Mar 2025 16:47:16 +0000

jupyterhub (5.2.1+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Tue, 03 Dec 2024 14:25:15 +0100

jupyterhub (5.0.0+ds1-4) unstable; urgency=medium

  * Bug fix: "Cannot start: missing alembic.ini", thanks to Philo (Closes: #1081734).
  * Not yet ready to run testsuite.

 -- Roland Mas <lolando@debian.org>  Sun, 29 Sep 2024 16:26:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,22 @@
 Source: jupyterhub
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Roland Mas <lolando@debian.org>
+Uploaders:
+ Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>,
+ Roland Mas <lolando@debian.org>,
 Section: python
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  help2man,
+ libjs-moment,
+ node-bootstrap,
+ node-fortawesome-fontawesome-free,
+ node-jquery,
+ node-moment,
+ node-node-sass,
+ node-requirejs,
+ pkg-js-tools,
  python3-alembic,
  python3-all,
  python3-async-generator,
@@ -25,8 +35,10 @@
  python3-requests,
  python3-requests-mock,
  python3-setuptools,
+ python3-setuptools-scm,
  python3-tornado,
  python3-traitlets,
+# Testsuite: autopkgtest-pkg-pybuild
 Standards-Version: 4.6.2
 Homepage: https://jupyter.org
 Vcs-Git: https://salsa.debian.org/python-team/packages/jupyterhub.git
@@ -34,10 +46,19 @@
 
 Package: jupyterhub
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-bcrypt,
- python3-pamela, node-configurable-http-proxy, python3-notebook,
- libjs-bootstrap, libjs-jquery, libjs-prototype, libjs-requirejs,
- fonts-font-awesome
+Depends:
+ alembic,
+ fonts-font-awesome,
+ libjs-bootstrap5,
+ libjs-jquery,
+ libjs-prototype,
+ libjs-requirejs,
+ node-configurable-http-proxy,
+ python3-bcrypt,
+ python3-notebook,
+ python3-pamela,
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Multi-user server for Jupyter notebooks
  With JupyterHub you can create a multi-user Hub which spawns,
  manages, and proxies multiple instances of the single-user Jupyter

=== debian/rules ===
#!/usr/bin/make -f

PYVERS=$(shell py3versions -d)
PYPATH=debian/jupyterhub/usr/lib/$(PYVERS)/dist-packages

export PYBUILD_NAME=jupyterhub

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_build:
	pkgjs-install-minimal
	-cp -fd node_modules/* share/jupyterhub/static/components
	mkdir -p share/jupyterhub/static/css

execute_after_dh_auto_install:
	PYTHONPATH=$(PYPATH) help2man --output=jupyterhub.1 --name="Multi-user server for Jupyter notebooks" --version-string=$$(dpkg-parsechangelog -S Version | sed s/-[^-]*$$//) debian/jupyterhub/usr/bin/jupyterhub
	PYTHONPATH=$(PYPATH) help2man --output=jupyterhub-singleuser.1 --name="Single-user server for Jupyter notebooks" --version-string=$$(dpkg-parsechangelog -S Version | sed s/-[^-]*$$//) debian/jupyterhub/usr/bin/jupyterhub-singleuser

	# generate and install the config file
	PYTHONPATH=$(PYPATH) debian/jupyterhub/usr/bin/jupyterhub --generate-config -f debian/jupyterhub/usr/share/jupyterhub/jupyterhub_config.py

override_dh_auto_test:
